FLTK 1.3.8

fl_types.h File Reference

This file contains simple "C"-style type definitions. More...

Go to the source code of this file.

## Typedefs
Miscellaneous
typedef unsigned int | Fl_Char
| 24-bit Unicode character - upper 8 bits are unused
typedef const char * | Fl_CString
| Flexible length UTF-8 Unicode read-only string.
typedef unsigned int | Fl_Shortcut
| 24-bit Unicode character + 8-bit indicator for keyboard flags
typedef char * | Fl_String
| Flexible length UTF-8 Unicode text.
typedef unsigned char | uchar
| unsigned char
typedef unsigned long | ulong
| unsigned long

## Detailed Description

This file contains simple "C"-style type definitions.

## Typedef Documentation

## ◆ Fl_CString

typedef const char* Fl_CString

Flexible length UTF-8 Unicode read-only string.

See also
  Fl_String

## ◆ Fl_String

typedef char* Fl_String

Flexible length UTF-8 Unicode text.

Todo:
  FIXME: temporary (?) typedef to mark UTF-8 and Unicode conversions

- Copyright © 1998-2021 by Bill Spitzak and others.